from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XPasswordContainer(XInterface, Protocol):
    def add(self, Url: str, UserName: str, Passwords: sequence<string>, Handler: XInteractionHandler) -> None: ...
    def addPersistent(self, Url: str, UserName: str, Passwords: sequence<string>, Handler: XInteractionHandler) -> None: ...
    def find(self, Url: str, Handler: XInteractionHandler) -> UrlRecord: ...
    def findForName(self, Url: str, UserName: str, Handler: XInteractionHandler) -> UrlRecord: ...
    def remove(self, Url: str, UserName: str) -> None: ...
    def removePersistent(self, Url: str, UserName: str) -> None: ...
    def removeAllPersistent(self) -> None: ...
    def getAllPersistent(self, Handler: XInteractionHandler) -> list[UrlRecord]: ...
